URL Verification
Escalate a rejected URL
Request manual review of a rejected URL. Only URLs in ‘rejected’ status can be escalated; the status then moves to ‘escalated’.
POST
/
v1
/
urls
/
{urlId}
/
escalate
Escalate a rejected URL
curl --request POST \
--url https://api.zavu.dev/v1/urls/{urlId}/escalate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "This is our official landing page and was rejected in error."
}
'import requests
url = "https://api.zavu.dev/v1/urls/{urlId}/escalate"
payload = { "reason": "This is our official landing page and was rejected in error." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'This is our official landing page and was rejected in error.'})
};
fetch('https://api.zavu.dev/v1/urls/{urlId}/escalate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": {
"id": "url_abc123",
"url": "https://example.com/page",
"domain": "example.com",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"message": "<string>"
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Why the URL should be reviewed manually.
Required string length:
10 - 1000⌘I
Escalate a rejected URL
